Subject: Re: bug#28443: 26.0.50; Pause when fullscreening when ns-use-native-fullscreen is nil on macOS

From: Alan Third <[email-masked]>
Date: Tue, 19 Nov 2024 21:38:44 +0000

On Sun, Nov 17, 2024 at 06:34:36PM +0000, Aaron Jensen wrote:
> On Sun, Nov 17, 2024 at 10:27 AM, Alan Third <[email-masked]> wrote:
> 
> > I suppose ideally it would be nice to check it on some *ancient* version
> > of macOS (10.6 or something?), just in case it's different, but good luck
> > finding someone...
> >
> 
> How far back should we really support for macOS? I get free software
> support going back far, but for macOS I think it's a bit more reasonable to
> be OK with reducing support. That may go against the principles, however.

I don't know. Last time I did any major work supporting all the way
back to 10.6 wasn't much hassle, although if I broke something I
wouldn't know.

I always thought that if it became too much work to support old
versions, then dropping that support would be perfectly reasonable.

> > Related, would you mind testing and reviewing my patch on bug#52085 as
> > well?
> >
> > I don't see a patch on that bug thread, and it's been closed for a while.
> > Is that the right number?
> >
> 
> 
> No, wrong one, sorry: bug#59790
> 
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2024-11/msg00853.html

I'll have a look.

-- 
Alan Third